
<!-- test body with attribute -->

<link href="cache/2b206f14e926430794baab6b171cd732.css" rel="stylesheet" type="text/css" attr>

<!-- test body without attribute -->

<link href="cache/2b206f14e926430794baab6b171cd732.css" rel="stylesheet" type="text/css">

<!-- test single file with extension -->
<!-- css.css -->
<link href="cache/6f4c6ffd3914be336a9853b28a83b5c4.css" rel="stylesheet" type="text/css">

<!-- test single file without extension -->
<!-- css.css -->
<link href="cache/6f4c6ffd3914be336a9853b28a83b5c4.css" rel="stylesheet" type="text/css">

<!-- test single file with variable attributes -->
<!-- css.css -->
<link href="cache/6f4c6ffd3914be336a9853b28a83b5c4.css" rel="stylesheet" type="text/css" a="0" b="1" c="false" d="true" e="yes" f>

<!-- test multiple files with extensions -->
<!-- css.css, css2.css -->
<link href="cache/e2c8ce8383791c8a644d6b7f392f2a12.css" rel="stylesheet" type="text/css">

<!-- test multiple files without extensions -->
<!-- css.css, css2.css -->
<link href="cache/e2c8ce8383791c8a644d6b7f392f2a12.css" rel="stylesheet" type="text/css">

<!-- test multiple files with attribute -->
<!-- css.css, css2.css -->
<link href="cache/e2c8ce8383791c8a644d6b7f392f2a12.css" rel="stylesheet" type="text/css" attr>

<!-- test file that can't be read -->
<!-- 'invalid' could not be read as file -->
<link href="invalid" rel="stylesheet" type="text/css">

<!-- test multiple files with attribute -->
<!-- css.css -->
<link href="cache/6f4c6ffd3914be336a9853b28a83b5c4.css" rel="stylesheet" type="text/css" attr>
<!-- 'invalid' could not be read as file -->
<link href="invalid" rel="stylesheet" type="text/css" attr>

<!-- test multiple files without attribute -->
<!-- css.css -->
<link href="cache/6f4c6ffd3914be336a9853b28a83b5c4.css" rel="stylesheet" type="text/css">
<!-- 'invalid' could not be read as file -->
<link href="invalid" rel="stylesheet" type="text/css">
